=== debian/changelog ===
scram (0.16.1-1) unstable; urgency=medium

  * New upstream release
  * Bump CMake required version to 3.5
  * Bump the standards version to 4.1.3
  * Remove irrelevant '-DBUILD_SHARED_LIBS' CMake build option
  * Remove 'BUILD_TESTS=OFF' build option (off by default)
  * Rename libscramcore to libscram (private library named by upstream)
  * Update manpages

 -- Olzhas Rakhimov <ol.rakhimov@gmail.com>  Thu, 04 Jan 2018 02:55:10 -0800
