## scram 0.16.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.8)
 
 # In-source build prevention.
 set(CMAKE_DISABLE_SOURCE_CHANGES ON)
 set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)
 
-project(SCRAM VERSION 0.16.1 LANGUAGES CXX)
+project(SCRAM VERSION 0.16.2 LANGUAGES CXX)
 
 ####################### Begin Options ###################
 
@@ -27,8 +27,8 @@
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)  # Needed for Clang Tooling.
 
-# Default to C++14.
-set(CMAKE_CXX_STANDARD 14)
+# Default to C++17.
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
@@ -40,32 +40,37 @@
 
 add_definitions(-DPROJECT_SOURCE_DIR="${PROJECT_SOURCE_DIR}")  # Needed to print file paths.
 
-set(CMAKE_CXX_FLAGS_DEBUG
-  "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wextra -Werror -Wno-sign-compare -Wnon-virtual-dtor -Wno-missing-field-initializers -Wold-style-cast")
+# Strict debug flags for SCRAM targets (opt-in, must subscribe to quality checks explicitly).
+# NOTE: This is a list unlike CMAKE_CXX_FLAGS.
+set(SCRAM_CXX_FLAGS_DEBUG
+  -Wall -Wextra -Werror -Wno-sign-compare -Wnon-virtual-dtor
+  -Wno-missing-field-initializers -Wold-style-cast
+  )
 
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
-  CHECK_COMPILER_VERSION("4.9")  # TODO: Wpedantic with gcc 4.9 errors with default arg lambdas.
-  set(CMAKE_CXX_FLAGS_DEBUG
-    "${CMAKE_CXX_FLAGS_DEBUG} -Wredundant-decls -Wcast-align -Wlogical-op -Wvla -Wuseless-cast -Wunreachable-code")
-
-  if(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 5)
-    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wshadow -Wpedantic -Wmissing-declarations")
-  endif()
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-new-ttp-matching")  # TODO: Boost ICL failure.
+  CHECK_COMPILER_VERSION("7.1")
+  list(APPEND SCRAM_CXX_FLAGS_DEBUG
+    -Wredundant-decls -Wcast-align -Wlogical-op -Wvla -Wuseless-cast -Wunreachable-code
+    -Wshadow -Wpedantic -Wmissing-declarations
+    -Wimplicit-fallthrough=0  # TODO: Consider explicit fallthrough.
+    )
 
 elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
-  CHECK_COMPILER_VERSION("3.6")
-  set(CMAKE_CXX_FLAGS_DEBUG
-    "${CMAKE_CXX_FLAGS_DEBUG} -Wno-missing-braces -Wshadow -Wunused-exception-parameter")
+  CHECK_COMPILER_VERSION("5.0")
+  list(APPEND SCRAM_CXX_FLAGS_DEBUG -Wno-missing-braces -Wshadow -Wunused-exception-parameter)
 
 elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang")
-  CHECK_COMPILER_VERSION("6.1")
+  CHECK_COMPILER_VERSION("9.0")
 
 elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel")
-  CHECK_COMPILER_VERSION("17.0.2")
-  # TODO: CMAKE_CXX_STANDARD has no effect on icc.
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
+  CHECK_COMPILER_VERSION("18.0.1")
   # TODO: Warning with overload of private override.
-  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -diag-disable=1125")
+  list(APPEND SCRAM_CXX_FLAGS_DEBUG -diag-disable=1125)
+endif()
+
+if(WIN32)
+  list(APPEND SCRAM_CXX_FLAGS_DEBUG -Wno-error)
 endif()
 
 if(WITH_COVERAGE)
@@ -74,10 +79,6 @@
 
 if(WITH_PROFILE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg")
-endif()
-
-if(WIN32)
-  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wno-error")
 endif()
 
 find_program(CCACHE_FOUND ccache)
@@ -85,11 +86,6 @@
   message(STATUS "Using CCache for builds")
   set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
   set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
-
-  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR
-     "${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang")
-    add_definitions("-Qunused-arguments")  # TODO: CCache bug with not splitting args.
-  endif()
 endif()
 
 ######################## End compiler configurations ####################
@@ -153,23 +149,20 @@
 
 # Include the boost header files and the program_options library.
 # Please be sure to use Boost rather than BOOST.
-if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
-  set(BOOST_MIN_VERSION "1.58.0")
-  list(APPEND LIBS ${CMAKE_DL_LIBS})
-else()
-  set(BOOST_MIN_VERSION "1.61.0")
-endif()
+set(BOOST_MIN_VERSION "1.61.0")
 
 if(NOT WIN32)
   set(Boost_USE_MULTITHREADED OFF)
 endif()
 
 find_package(Boost ${BOOST_MIN_VERSION} REQUIRED COMPONENTS
-  program_options filesystem system date_time random
+  program_options filesystem system random
   )
 message(STATUS "Boost Include directory: ${Boost_INCLUDE_DIR}")
 message(STATUS "Boost Library directories: ${Boost_LIBRARY_DIRS}")
 list(APPEND LIBS ${Boost_LIBRARIES})
+
+list(APPEND LIBS ${CMAKE_DL_LIBS})
 
 message(STATUS "Libraries: ${LIBS}")
