=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,16 +2,14 @@
 execute_process(COMMAND git describe --tags OUTPUT_VARIABLE core_version
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 configure_file(version.cc.in version.cc @ONLY)
-configure_file(env.cc.in env.cc @ONLY)
 ################### End File Configurations ####################
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 set(SCRAM_CORE_SRC
-  ${CMAKE_CURRENT_BINARY_DIR}/env.cc
+  env.cc
   ${CMAKE_CURRENT_BINARY_DIR}/version.cc
   logger.cc
-  random.cc
   settings.cc
   xml.cc
   config.cc
@@ -50,6 +48,7 @@
   )
 add_library(scram SHARED ${SCRAM_CORE_SRC})
 target_link_libraries(scram ${LIBS})
+target_compile_options(scram PRIVATE $<$<CONFIG:DEBUG>:${SCRAM_CXX_FLAGS_DEBUG}>)
 
 install(
   TARGETS scram
@@ -62,6 +61,7 @@
 add_executable(scram-cli scram.cc)
 set_target_properties(scram-cli PROPERTIES OUTPUT_NAME scram)
 target_link_libraries(scram-cli scram ${Boost_LIBRARIES})
+target_compile_options(scram-cli PRIVATE $<$<CONFIG:DEBUG>:${SCRAM_CXX_FLAGS_DEBUG}>)
 
 install(
   TARGETS scram-cli
