=== gui/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,4 @@
 find_package(Qt5Test REQUIRED)
-
-# There are no tr() strings in test, so no need to be strict with string construction.
-set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -UQT_NO_CAST_FROM_ASCII")
 
 macro(TEST NAME FILE)
   add_executable(scramgui_${NAME} ${FILE})
