=== debian/changelog ===
scram (0.16.2-4) unstable; urgency=medium

  * Team upload
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, g++, libboost-all-dev
      and qtbase5-dev
  * Build with libxml 2.9 (Closes: #1073328)

 -- Bastian Germann <bage@debian.org>  Mon, 25 Aug 2025 17:01:13 +0200

scram (0.16.2-3) unstable; urgency=medium

  * Team Upload.
  * Fix FTBFS with DEB_BUILD_OPTIONS=reproducible=+fixfilepath
    - Thank you, Vagrant Cascadian (Closes: #972297)
  * Fix HOME to Enable building on sbuild
  * Bump debhelper-compat version to 13
  * Add "Rules-Requires-Root:no"

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 15 Jan 2021 22:07:59 +0530

scram (0.16.2-2) unstable; urgency=medium

  * Team upload.
  * [bb08829] Add .gitlab-ci.yml
  * [bdd4875] Fix compilation against boost_1.74. (Closes: #975660)
  * [9f0eef0] Use secure copyright file specification URI.
  * [c9e5bdf] Bump debhelper from old 10 to 12. + debian/rules:
              Rely on default use of dh_missing rather thanusing
              dh_install --list-missing.
  * [3c115ed] Set debhelper-compat version in Build-Depends.
  * [5832136] Set upstream metadata fields:
              Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [41fc902] Set Standards-Version 4.5.1. No changes
  * [15dc93c] Allow blhc to fail

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Dec 2020 22:34:36 +0100

scram (0.16.2-1) unstable; urgency=medium

  * New upstream release
  * Require g++ 7.1 or later (for C++17)
  * Bump CMake required version to 3.8
  * Bump Boost required version to 1.61
  * Bump Qt required version to 5.9.1
  * Update copyright years w/ 2018
  * Update man pages
  * Add copyright to boost.scope_guard source
  * Update VCS control fields to point to Salsa

 -- Olzhas Rakhimov <ol.rakhimov@gmail.com>  Fri, 12 Jan 2018 04:28:58 -0800
