=== debian/control ===
Source: scram
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Olzhas Rakhimov <ol.rakhimov@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libxml2.9-dev,
               libboost-all-dev,
               libgoogle-perftools-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qttools5-dev,
               qttools5-dev-tools,
               libqt5svg5-dev,
               libqt5opengl5-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/scram
Vcs-Git: https://salsa.debian.org/science-team/scram.git
Homepage: https://scram-pra.org
Rules-Requires-Root: no

Package: scram
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Probabilistic Risk Analysis Tool
 A command line probabilistic risk analysis tool
 capable of performing event tree analysis,
 static fault tree analysis,
 analysis with common cause failure models,
 probability calculations with importance analysis,
 and uncertainty analysis with Monte Carlo simulations.

Package: scram-gui
Architecture: any
Depends: scram,
         ${shlibs:Depends},
         ${misc:Depends}
Description: SCRAM GUI front-end
 The complementary SCRAM GUI front-end
 for visualization and manipulation
 of risk analysis models and reports.
