=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/scram-$1\.tar\.gz/ \
  https://github.com/rakhimov/scram/releases .*/v?(\d\S+)\.tar\.gz
